package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_parameter_mapping_wrk")
public class MaintRatingParameterMappingWrk implements Serializable{
      
	private static final long serialVersionUID = -4144873118764252691L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	   
	@Id
	@Column(name="rm_code")
	private String rmCode;
	
	@Id
	@Column(name="param_code")
	private String paramCode;
	 
	@Column(name="category_code")
	private String categoryCode;
	
	@Column(name="sub_category_code")
	private String subCategoryCode;
	
	@Column(name="risk")
	private String risk;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getRmCode() {
		return rmCode;
	}

	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	 

	public String getSubCategoryCode() {
		return subCategoryCode;
	}

	public void setSubCategoryCode(String subCategoryCode) {
		this.subCategoryCode = subCategoryCode;
	}

	public String getRisk() {
		return risk;
	}

	public void setRisk(String risk) {
		this.risk = risk;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

} 
